PX_CREATE_FILE(3)

NAME
PX_create_file — create a new Paradox file

SYNOPSIS

#include <paradox.h>

int PX_create_file(pxdoc_t *pxdoc, pxfield_t *fields, int numfields, const char *filename, int type)

DESCRIPTION

Creates a new Paradox database with the given filename.
This functions internally calls PX_create_fp(3)     after the file was opened. The file is opened in `w+' mode.

The table name will be set to the filename be default. It can be overwritten by calling PX_set_parameter(3) afterwards.

RETURN VALUE

Returns 0 on success and -1 on failure.

SEE ALSO

PX_new2(3), PX_new(3), PX_create_fp(3), PX_set_parameter(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.